# Project: dbscript
# Makefile created by Dev-C++ 4.9.9.1

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = main.o DATABAZE.o $(RES)
LINKOBJ  = main.o DATABAZE.o $(RES)
LIBS =  -L"C:/PROGRAM FILES/DEV-CPP/lib"  -fmessage-length=0 -s 
INCS =  -I"C:/PROGRAM FILES/DEV-CPP/include"  -I"C:/Program Files/Dev-Cpp/the-agency/sdl-1.2.7/include" 
CXXINCS =  -I"C:/PROGRAM FILES/DEV-CPP/include/c++/3.3.1"  -I"C:/PROGRAM FILES/DEV-CPP/include/c++/3.3.1/mingw32"  -I"C:/PROGRAM FILES/DEV-CPP/include/c++/3.3.1/backward"  -I"C:/PROGRAM FILES/DEV-CPP/lib/gcc-lib/mingw32/3.3.1/include"  -I"C:/PROGRAM FILES/DEV-CPP/include" 
BIN  = DBSCRIPT.exe
CXXFLAGS = $(CXXINCS)   -fexpensive-optimizations -O3 -fmessage-length=0
CFLAGS = $(INCS)   -fexpensive-optimizations -O3 -fmessage-length=0

.PHONY: all all-before all-after clean clean-custom

all: all-before DBSCRIPT.exe all-after


clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CC) $(LINKOBJ) -o "DBSCRIPT.exe" $(LIBS)

main.o: main.c
	$(CC) -c main.c -o main.o $(CFLAGS)

DATABAZE.o: DATABAZE.C
	$(CC) -c DATABAZE.C -o DATABAZE.o $(CFLAGS)
